net.corda.contracts.testing

## Class DummyLinearContract

- net.corda.contracts.testing.DummyLinearContract

- All Implemented Interfaces:
    Contract

      public class DummyLinearContract
      implements Contract

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `DummyLinearContract.State`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DummyLinearContract()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Clause<net.corda.contracts.testing.DummyLinearContract.State,net.corda.core.contracts.CommandData,kotlin.Unit>` | `getClause()`
    `SecureHash` | `getLegalContractReference()` Unparsed reference to the natural language contract that this code is supposed to express (usually a hash of the contract's contents).
    `void` | `verify(TransactionForContract tx)` Takes an object that represents a state transition, and ensures the inputs/outputs/commands make sense. Must throw an exception if there's a problem that should prevent state transition. Takes a single object rather than an argument so that additional data can be added without breaking binary compatibility with existing contract code.

    - ### Methods inherited from interface net.corda.core.contracts.Contract

      `getLegalContractReference, verify`

- - ### Constructor Detail

    - #### DummyLinearContract

          public DummyLinearContract()

  - ### Method Detail

    - #### getLegalContractReference

          public SecureHash getLegalContractReference()

      Unparsed reference to the natural language contract that this code is supposed to express (usually a hash of the contract's contents).

    - #### getClause

          public Clause<net.corda.contracts.testing.DummyLinearContract.State,net.corda.core.contracts.CommandData,kotlin.Unit> getClause()

    - #### verify

          public void verify(TransactionForContract tx)

      Takes an object that represents a state transition, and ensures the inputs/outputs/commands make sense. Must throw an exception if there's a problem that should prevent state transition. Takes a single object rather than an argument so that additional data can be added without breaking binary compatibility with existing contract code.